Restart a Server
curl --request POST \
--url https://api.arct.cloud/v1/servers/{server_id}/restart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/servers/{server_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/servers/{server_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "provisioning",
"location": "<string>",
"datacenter": "<string>",
"plan": "<string>",
"plan_name": "<string>",
"cpu_cores": 123,
"ram_gb": 123,
"storage_gb": 123,
"bandwidth_tb": 123,
"ipv4": "<string>",
"ipv6": "<string>",
"os": "<string>",
"login_user": "<string>",
"labels": [
"<string>"
],
"delete_protection": true,
"billing_period": "<string>",
"price": 123,
"next_due_date": "2023-12-25",
"cancel_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Servers
Restart a Server
Reboots a running server. Returns 202 while it restarts.
POST
/
servers
/
{server_id}
/
restart
Restart a Server
curl --request POST \
--url https://api.arct.cloud/v1/servers/{server_id}/restart \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/servers/{server_id}/restart"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/servers/{server_id}/restart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hostname": "<string>",
"status": "provisioning",
"location": "<string>",
"datacenter": "<string>",
"plan": "<string>",
"plan_name": "<string>",
"cpu_cores": 123,
"ram_gb": 123,
"storage_gb": 123,
"bandwidth_tb": 123,
"ipv4": "<string>",
"ipv6": "<string>",
"os": "<string>",
"login_user": "<string>",
"labels": [
"<string>"
],
"delete_protection": true,
"billing_period": "<string>",
"price": 123,
"next_due_date": "2023-12-25",
"cancel_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
API token from Dashboard > Settings > API Tokens.
Path Parameters
Response
Accepted. Poll GET /servers/{server_id} for status.
VM status enumeration.
Available options:
provisioning, running, stopped, restarting, reinstalling, restoring, error, deleting, suspended, pre_order Location code, such as fra.
Datacenter code, such as fra1, or null if the host has none.
Plan slug.
Null until the server is set up.
IPv6 address, or null if none is assigned.
OS user to sign in as. Null in list responses.
True blocks DELETE and reinstall.
monthly, quarterly, semi_annual or yearly.
Price per billing period, in USD.
Next renewal date.
Date a scheduled cancellation takes effect, or null if none.